const C_TYPES=[("PropertyValue", PropertyValue),
("OptionSet", OptionSet),
("BigObject", BigObject),
("Integer", Integer),
("Rational", Rational),
("QuadraticExtension_Rational", QuadraticExtension{Rational}),
("Matrix_Int", Matrix{CxxWrap.CxxLong}),
("Matrix_Integer", Matrix{Integer}),
("Matrix_Rational", Matrix{Rational}),
("Matrix_double", Matrix{Float64}),
("Matrix_QuadraticExtension_Rational", Matrix{QuadraticExtension{Rational}}),
("Vector_Int", Vector{CxxWrap.CxxLong}),
("Vector_Integer", Vector{Integer}),
("Vector_Rational", Vector{Rational}),
("Vector_double", Vector{Float64}),
("Vector_QuadraticExtension_Rational", Vector{QuadraticExtension{Rational}}),
("Pair_Int_Int", StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}),
("Pair_Int_List_List_Pair_Int_Int", StdPair{CxxWrap.CxxLong, StdList{StdList{StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}}}}),
("Pair_Integer_Int", StdPair{Integer,CxxWrap.CxxLong}),
("List_Pair_Int_Int", StdList{StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}}),
("List_List_Pair_Int_Int", StdList{StdList{StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}}}),
("List_Pair_Integer_Int", StdList{StdPair{Integer,CxxWrap.CxxLong}}),
("Set_Int", Set{CxxWrap.CxxLong}),
("Array_Int", Array{CxxWrap.CxxLong}),
("Array_Integer", Array{Integer}),
("Array_QuadraticExtension_Rational", Array{QuadraticExtension{Rational}}),
("Array_String", Array{CxxWrap.StdString}),
("Array_Set_Int", Array{Set{CxxWrap.CxxLong}}),
("Array_Array_Int", Array{Array{CxxWrap.CxxLong}}),
("Array_Array_Integer", Array{Array{Integer}}),
("Array_Array_Set_Int", Array{Array{Set{CxxWrap.CxxLong}}}),
("Array_Array_Rational", Array{Array{Rational}}),
("Array_Pair_Int_Int", Array{StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}}),
("Array_List_Pair_Int_Int", Array{StdList{StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}}}),
("Array_Matrix_Integer", Array{Matrix{Integer}}),
("Array_HomologyGroup_Integer", Array{HomologyGroup{Integer}}),
("Array_BigObject", Array{BigObject}),
("Array_Polynomial_Integer_Int", Array{Polynomial{Integer,CxxWrap.CxxLong}}),
("Array_Polynomial_Rational_Int", Array{Polynomial{Rational,CxxWrap.CxxLong}}),
("SparseMatrix_Integer", SparseMatrix{Integer}),
("SparseMatrix_Rational", SparseMatrix{Rational}),
("SparseMatrix_Int", SparseMatrix{CxxWrap.CxxLong}),
("SparseMatrix_double", SparseMatrix{Float64}),
("SparseMatrix_QuadraticExtension_Rational", SparseMatrix{QuadraticExtension{Rational}}),
("SparseVector_Integer", SparseVector{Integer}),
("SparseVector_Rational", SparseVector{Rational}),
("SparseVector_Int", SparseVector{CxxWrap.CxxLong}),
("SparseVector_double", SparseVector{Float64}),
("SparseVector_QuadraticExtension_Rational", SparseVector{QuadraticExtension{Rational}}),
("IncidenceMatrix_NonSymmetric", IncidenceMatrix{NonSymmetric}),
("IncidenceMatrix_Symmetric", IncidenceMatrix{Symmetric}),
("TropicalNumber_Max_Rational", TropicalNumber{Max,Rational}),
("TropicalNumber_Min_Rational", TropicalNumber{Min,Rational}),
("UniPolynomial_Int_Int", UniPolynomial{CxxWrap.CxxLong,CxxWrap.CxxLong}),
("UniPolynomial_Integer_Int", UniPolynomial{Integer,CxxWrap.CxxLong}),
("UniPolynomial_Rational_Int", UniPolynomial{Rational,CxxWrap.CxxLong}),
("UniPolynomial_QuadraticExtension_Rational_Int", UniPolynomial{QuadraticExtension{Rational},CxxWrap.CxxLong}),
("Polynomial_Int_Int", Polynomial{CxxWrap.CxxLong,CxxWrap.CxxLong}),
("Polynomial_Integer_Int", Polynomial{Integer,CxxWrap.CxxLong}),
("Polynomial_Rational_Int", Polynomial{Rational,CxxWrap.CxxLong}),
("Polynomial_double_Int", Polynomial{Float64,CxxWrap.CxxLong}),
("Polynomial_QuadraticExtension_Rational_Int", Polynomial{QuadraticExtension{Rational},CxxWrap.CxxLong}),
("Map_String_String", Map{CxxWrap.StdString,CxxWrap.StdString}),
("HomologyGroup_Integer", HomologyGroup{Integer}),
("Graph_Undirected", Graph{Undirected}),
("Graph_Directed", Graph{Directed}),
("EdgeMap_Directed_Int", EdgeMap{Directed, CxxWrap.CxxLong}),
("EdgeMap_Undirected_Int", EdgeMap{Undirected, CxxWrap.CxxLong}),
("NodeMap_Directed_Int", NodeMap{Directed, CxxWrap.CxxLong}),
("NodeMap_Undirected_Int", NodeMap{Undirected, CxxWrap.CxxLong}),
("NodeMap_Directed_Set_Int", NodeMap{Directed, Set{CxxWrap.CxxLong}}),
("NodeMap_Undirected_Set_Int", NodeMap{Undirected, Set{CxxWrap.CxxLong}}),]
